Skip to main content
`Ctrl`+`K`

# TSSundialsSetUseDense

Set a flag to use a dense linear solver in `TSSUNDIALS` (serial only)

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSundialsSetUseDense(TS ts, PetscBool use_dense)

Logically Collective

## Input Parameters

- ts - the time-step context

- use_dense - `PETSC_TRUE` to use the dense solver

## See Also

TS: Scalable ODE and DAE Solvers, `TSSUNDIALS`

## Level

advanced

## Location

src/ts/impls/implicit/sundials/sundials.c

## Implementations

TSSundialsSetUseDense_Sundials() in src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages